Loading...
Searching...
No Matches
juce::ArgumentList::Argument Struct Reference

`#include <juce_ConsoleApplication.h>`

## Public Member Functions

File | resolveAsFile () const
File | resolveAsExistingFile () const
File | resolveAsExistingFolder () const
bool | isLongOption () const
bool | isShortOption () const
bool | isLongOption (const String &optionRoot) const
String | getLongOptionValue () const
bool | isShortOption (char shortOptionCharacter) const
bool | isOption () const
bool | operator== (StringRef stringToCompare) const
bool | operator!= (StringRef stringToCompare) const

## Public Attributes

String | text

## Detailed Description

One of the arguments in an ArgumentList.

Definition at line 58 of file juce_ConsoleApplication.h.

## Member Function Documentation

## getLongOptionValue()

String juce::ArgumentList::Argument::getLongOptionValue | ( |  | ) | const

If this argument is a long option with a value, this returns the value. e.g. for "--foo=bar", this would return 'bar'.

Definition at line 97 of file juce_ConsoleApplication.cpp.

## isLongOption() [1/2]

bool juce::ArgumentList::Argument::isLongOption | ( |  | ) | const

Returns true if this argument starts with a double dash.

Definition at line 82 of file juce_ConsoleApplication.cpp.

Referenced by getLongOptionValue(), and operator==().

## isLongOption() [2/2]

bool juce::ArgumentList::Argument::isLongOption | ( | const String & | optionRoot | ) | const

Returns true if this argument starts with a double dash, followed by the given string.

Definition at line 86 of file juce_ConsoleApplication.cpp.

Referenced by isLongOption().

## isOption()

bool juce::ArgumentList::Argument::isOption | ( |  | ) | const

Returns true if this argument starts with one or more dashes.

Definition at line 84 of file juce_ConsoleApplication.cpp.

## isShortOption() [1/2]

bool juce::ArgumentList::Argument::isShortOption | ( |  | ) | const

Returns true if this argument starts with a single dash.

Definition at line 83 of file juce_ConsoleApplication.cpp.

Referenced by isShortOption(), and operator==().

## isShortOption() [2/2]

bool juce::ArgumentList::Argument::isShortOption | ( | char | shortOptionCharacter | ) | const

Returns true if this argument starts with a single dash and then contains the given character somewhere inside it.

Definition at line 110 of file juce_ConsoleApplication.cpp.

## operator!=()

bool juce::ArgumentList::Argument::operator!= | ( | StringRef | stringToCompare | ) | const

Compares this argument against a string. The string may be a pipe-separated list of options, e.g. "--help|-h"

Definition at line 134 of file juce_ConsoleApplication.cpp.

## operator==()

bool juce::ArgumentList::Argument::operator== | ( | StringRef | stringToCompare | ) | const

Compares this argument against a string. The string may be a pipe-separated list of options, e.g. "--help|-h"

Definition at line 117 of file juce_ConsoleApplication.cpp.

## resolveAsExistingFile()

File juce::ArgumentList::Argument::resolveAsExistingFile | ( |  | ) | const

Resolves this argument as an absolute File, using the current working directory as a base for resolving relative paths, and also doing a check to make sure the file exists. If the file doesn't exist, this will call fail() with a suitable error.

See also
  resolveAsFile, resolveAsExistingFolder

Definition at line 63 of file juce_ConsoleApplication.cpp.

## resolveAsExistingFolder()

File juce::ArgumentList::Argument::resolveAsExistingFolder | ( |  | ) | const

Resolves a user-supplied folder name into an absolute File, using the current working directory as a base for resolving relative paths, and also doing a check to make sure the folder exists. If the folder doesn't exist, this will call fail() with a suitable error.

See also
  resolveAsFile, resolveAsExistingFile

Definition at line 68 of file juce_ConsoleApplication.cpp.

## resolveAsFile()

File juce::ArgumentList::Argument::resolveAsFile | ( |  | ) | const

Resolves this argument as an absolute File, using the current working directory as a base for resolving relative paths, and stripping quotes, etc.

Definition at line 58 of file juce_ConsoleApplication.cpp.

Referenced by resolveAsExistingFile(), and resolveAsExistingFolder().

## Member Data Documentation

## text

String juce::ArgumentList::Argument::text

The original text of this argument.

Definition at line 61 of file juce_ConsoleApplication.h.

Referenced by getLongOptionValue(), isLongOption(), isLongOption(), isOption(), isShortOption(), isShortOption(), operator==(), and resolveAsFile().

The documentation for this struct was generated from the following files:

- juce_ConsoleApplication.h
- juce_ConsoleApplication.cpp